This discussion has been locked.
You can no longer post new replies to this discussion. If you have a question you can start a new discussion

Pass Session cookie to backend?

With IBM Webseal, passing the session cookie used between the browser and web app firewall can be optionally forwarded to the backend http server with parameter "include session cookie". 

Does UTM offers this function or does a hidden option within the configuration file exists to enable it?

The cookie name used by UTM is "BACKENDHOST_cookie" with "backendhost" replaced by the hostname of the backend http server.

We need that cookie to forward it to our external client launched via Java Webstart to be able to connect via http through the UTM to the backend.


This thread was automatically locked due to age.
Parents
  • The feature request:
    WAF Reverse Proxy with authentication: forward session cookie to backend http server

    The cookie name is the frontend realm of configuration section "Webserver Security -> Reverse Authentication" with suffix "_cookie".

    A default file I haven't found yet, so using the following script as workaround:

    #!/bin/sh
    #
    # This script enables forwarding of the session cookie
    # used by Web Server Security between browser and UTM
    # to the backend web server.
    #
    # Installation on UTM as root:
    # cp fs5revproxy /usr/local/sbin
    # add crontab entry via 'crontab -e':
    # */1 * * * * /usr/local/sbin/fs5revproxy
    #
    CONF=/var/chroot-reverseproxy/usr/apache/conf/reverseproxy.conf
    CMD=/var/mdw/scripts/reverseproxy
    LOCK=/var/run/fs5revproxy
    PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
    if ( set -o noclobber; echo $$ > "$LOCK" ) 2> /dev/null; then
      trap 'rm -f "$LOCK"; exit $?' INT TERM EXIT
    else
      PID=`cat "$LOCK"`
      if [ "$PID" > 0 ] && kill -0 $PID; then
        echo "Lock failed on $LOCK, $PID still running" >&2
        exit 1
      else
        if ( set -o noclobber; echo $$ > "$LOCK" ) 2> /dev/null; then
          echo "removed stale $LOCK" >&2
          trap 'rm -f "$LOCK"; exit $?' INT TERM EXIT
        else
          echo "Lock failed on $LOCK, $PID already running" >&2
          exit 1 
        fi
      fi
    fi
    if ( $CMD status | grep -q 'reverseproxy running' ) \
     && grep -q 'SessionCookieRemove.*On' $CONF; then
      sed -i -e 's/SessionCookieRemove.*On/SessionCookieRemove Off/' $CONF
      $CMD graceful > /dev/null
    fi
    rm "$LOCK"
    #eof


    Holger
Reply
  • The feature request:
    WAF Reverse Proxy with authentication: forward session cookie to backend http server

    The cookie name is the frontend realm of configuration section "Webserver Security -> Reverse Authentication" with suffix "_cookie".

    A default file I haven't found yet, so using the following script as workaround:

    #!/bin/sh
    #
    # This script enables forwarding of the session cookie
    # used by Web Server Security between browser and UTM
    # to the backend web server.
    #
    # Installation on UTM as root:
    # cp fs5revproxy /usr/local/sbin
    # add crontab entry via 'crontab -e':
    # */1 * * * * /usr/local/sbin/fs5revproxy
    #
    CONF=/var/chroot-reverseproxy/usr/apache/conf/reverseproxy.conf
    CMD=/var/mdw/scripts/reverseproxy
    LOCK=/var/run/fs5revproxy
    PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
    if ( set -o noclobber; echo $$ > "$LOCK" ) 2> /dev/null; then
      trap 'rm -f "$LOCK"; exit $?' INT TERM EXIT
    else
      PID=`cat "$LOCK"`
      if [ "$PID" > 0 ] && kill -0 $PID; then
        echo "Lock failed on $LOCK, $PID still running" >&2
        exit 1
      else
        if ( set -o noclobber; echo $$ > "$LOCK" ) 2> /dev/null; then
          echo "removed stale $LOCK" >&2
          trap 'rm -f "$LOCK"; exit $?' INT TERM EXIT
        else
          echo "Lock failed on $LOCK, $PID already running" >&2
          exit 1 
        fi
      fi
    fi
    if ( $CMD status | grep -q 'reverseproxy running' ) \
     && grep -q 'SessionCookieRemove.*On' $CONF; then
      sed -i -e 's/SessionCookieRemove.*On/SessionCookieRemove Off/' $CONF
      $CMD graceful > /dev/null
    fi
    rm "$LOCK"
    #eof


    Holger
Children
No Data